# Class EvmUnsignedTransaction<N, C>

#### Type Parameters

- #### N extends Network

- #### C extends EvmChains

#### Hierarchy

- EvmUnsignedTransaction

#### Implements

- UnsignedTransaction<N, C>

- Defined in platforms/evm/src/unsignedTransaction.ts:5

#####
Index

### Constructors

constructor

### Properties

chain
description
network
parallelizable
transaction

## Constructors

### constructor

- new EvmUnsignedTransaction<N, C>(transaction, network, chain, description, parallelizable?): EvmUnsignedTransaction<N, C>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### C extends "Ethereum" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Moonbeam" | "Neon" | "Arbitrum" | "Optimism" | "Gnosis" | "Base" | "Rootstock" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

  #### Parameters

  - ##### transaction: TransactionRequest

  - ##### network: N

  - ##### chain: C

  - ##### description: string

  - ##### parallelizable: boolean = false

  #### Returns EvmUnsignedTransaction<N, C>

  - Defined in platforms/evm/src/unsignedTransaction.ts:8

## Properties

### `Readonly` chain

chain: C

Implementation of UnsignedTransaction.chain

- Defined in platforms/evm/src/unsignedTransaction.ts:11

### `Readonly` description

description: string

Implementation of UnsignedTransaction.description

- Defined in platforms/evm/src/unsignedTransaction.ts:12

### `Readonly` network

network: N

Implementation of UnsignedTransaction.network

- Defined in platforms/evm/src/unsignedTransaction.ts:10

### `Readonly` parallelizable

parallelizable: boolean = false

Implementation of UnsignedTransaction.parallelizable

- Defined in platforms/evm/src/unsignedTransaction.ts:13

### `Readonly` transaction

transaction: TransactionRequest

Implementation of UnsignedTransaction.transaction

- Defined in platforms/evm/src/unsignedTransaction.ts:9

Generated using TypeDoc